Bug 75597 - gcc segmentation fault
Summary: gcc segmentation fault
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-10 02:28 UTC by Steve
Modified: 2007-04-18 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 20:35:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve 2002-10-10 02:28:27 UTC
Description of Problem:

while compiling kpovmodeler-0.2, gcc has a segmentation fault and generates a
message to make a report here

How Reproducible: every time

Steps to Reproduce:
1. unpack tar of source code
2. run ./configure
3. run make

Actual Results:

g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/freetype2 -I/usr/include/kde
-I/usr/lib/qt3-gcc3.2/include -I/usr/X11R6/include -DQT_THREAD_SUPPORT
-D_REENTRANT -Wnon-virtual-dtor -Wno-long-long -Wbad-function-cast -Wundef -Wall
-pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions
-fno-check-new -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST
-Wp,-MD,.deps/pmpovrayrenderwidget.pp -c pmpovrayrenderwidget.cpp  -fPIC -DPIC
-o .libs/pmpovrayrenderwidget.o
/usr/lib/qt3-gcc3.2/bin/moc ./pmpovraywidget.h -o pmpovraywidget.moc
/bin/sh ../libtool --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I. -I..
-I/usr/include/freetype2 -I/usr/include/kde -I/usr/lib/qt3-gcc3.2/include
-I/usr/X11R6/include   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wnon-virtual-dtor
-Wno-long-long -Wbad-function-cast -Wundef -Wall -pedantic -W -Wpointer-arith
-Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE
-Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new
-DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST  -c pmpovraywidget.cpp
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/freetype2 -I/usr/include/kde
-I/usr/lib/qt3-gcc3.2/include -I/usr/X11R6/include -DQT_THREAD_SUPPORT
-D_REENTRANT -Wnon-virtual-dtor -Wno-long-long -Wbad-function-cast -Wundef -Wall
-pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions
-fno-check-new -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST
-Wp,-MD,.deps/pmpovraywidget.pp -c pmpovraywidget.cpp  -fPIC -DPIC -o
.libs/pmpovraywidget.o
pmpovraywidget.cpp:122: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [pmpovraywidget.lo] Error 1
make[3]: Leaving directory `/usr/local/src/kpovmodeler-0.2/kpovmodeler'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/local/src/kpovmodeler-0.2/kpovmodeler'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/local/src/kpovmodeler-0.2'
make: *** [all-recursive-am] Error 2

Expected Results:

Package compiles to completion (either an executable or program bug)

Additional Information:

Comment 1 Need Real Name 2002-10-17 22:36:25 UTC
Hello,

The same thing is also happening to me.
I got the same kind of error message (Segmentation fault) when I was trying to
build Subversion or Berkeley Database.
But when I tried to build it using gcc 2.96, it worked.

Comment 2 Need Real Name 2002-10-17 22:41:43 UTC
Hi,

The same thing is also happening to me.
I have the same error message "Segmentation fault" when I tried to build 
Subversion and Berkeley Database.
But .... it worked when I tried to build them using gcc 2.96.



Comment 3 Theewara Vorakosit 2002-10-21 04:05:26 UTC
I have a problem when I compile kernel on redhat 8.0, too. The kernel version is
2.4.18-14 (from Red Hat 8.0)

Comment 4 Jakub Jelinek 2002-10-21 07:33:21 UTC
Please don't mix unrelated bug reports into one.
For the original report, please provide preprocessed source, ie. rerun with
-save-temps and attach pmpovraywidget.ii it creates.

Comment 5 Jakub Jelinek 2004-10-02 20:35:22 UTC
No testcase provided, closing.


Note You need to log in before you can comment on or make changes to this bug.